* {
    outline: none;
    position: relative;
    -webkit-highlight: none;
    -webkit-tap-highlight-color: #ffffff00;
}

html {
    font-family: monospace;
}

html, body {
    margin: 0;
    height: 100%;
    overflow: hidden;
}

body {
    background-image: url(./images/background.jpg);
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
    color: white;
    text-align: center;
    display: grid;
    grid-template-rows: auto 1fr;
    align-items: center;
    justify-content: center;

    animation: hueAnimate 30s both infinite;
}

@keyframes hueAnimate {
    from {
        filter: hue-rotate(0deg);
    }
    to {
        filter: hue-rotate(360deg);
    }
}

.noise {
    pointer-events: none;
    background-image: url(./images/noise.png);
    background-size: auto;
    background-repeat: repeat;
    mix-blend-mode: soft-light;
    opacity: 0.5;
    position: fixed;
    z-index: 2;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
}

#logo {
    max-height: max(48px, 10vmin);
}

header {
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 24px;
    width: fit-content;
    height: fit-content;
    backdrop-filter: hue-rotate(180deg) contrast(0.8);
    -webkit-backdrop-filter: hue-rotate(180deg) contrast(0.8);
    justify-self: center;
    border-radius: 0 0 24px 24px;
}

main {
    max-width: 680px;
    padding: max(24px, 6vmin);
    margin: 24px;
    text-align: left;
    display: grid;
    gap: 16px;
    backdrop-filter: hue-rotate(180deg) contrast(0.8);
    -webkit-backdrop-filter: hue-rotate(180deg) contrast(0.8);
    border-radius: 24px;
}

main h1 {
    margin: 0 0 16px;
    font-size: max(8vmin, 32px);
    line-height: max(9vmin, 36px);
    font-weight: 900;
}

main p {
    margin: 0;
    font-size: max(3vmin, 16px);
    font-weight: 500;
}

a {
    margin-top: 16px;
    color: white;
    display: inline-block;
    text-decoration: none;
    padding: max(2vmin, 16px) max(4vmin, 24px);
    border-radius: 48px;
    backdrop-filter: blur(16px);
    box-shadow: 0 0 0 2px white;
    font-size: max(2vmin, 16px);
    line-height: max(2vmin, 16px);
    font-weight: 900;
    transition: all .1s ease-out;
    text-align: center;
    justify-self: end;
}

a:active {
    box-shadow: 0 0 0 8px rgba(255, 255, 255, 0.4);
}

#splash {
    background-color: #090909;
    position: fixed;
    z-index: 1;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    transition: all 2s;
}
